# DocumentPolygonConfiguration class

Configuration of the document contour detection polygon.

## Constructors

DocumentPolygonConfiguration.new({UserGuidanceVisibility visibility = UserGuidanceVisibility.ENABLED, PolygonStyle? documentOk, PolygonStyle? documentNotOk, PolygonStyle? autoSnapProgress})
DocumentPolygonConfiguration.fromJson(Map<String, dynamic> json)
  factory

## Properties

autoSnapProgress ↔ PolygonStyle
  Configuration of the animated polygon when the document is being scanned for capturing in 'auto snapping mode'.
  getter/setter pair
documentNotOk ↔ PolygonStyle
  Configuration of the polygon when the detected document status is 'not OK'.
  getter/setter pair
documentOk ↔ PolygonStyle
  Configuration of the polygon when the detected document status is 'OK'.
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
visibility ↔ UserGuidanceVisibility
  Determines the visibility mode for the polygon.
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson({ToJsonConfiguration? config}) → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited